Bug 814011

Summary: Unable to reconnect to wifi network (ath9k hardware)
Product: [Fedora] Fedora Reporter: Britton Dodd <brittman914>
Component: kernelAssignee: John Greene <jogreene>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: danw, dcbw, gansalmon, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 10:07:16 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Britton Dodd 2012-04-18 22:07:41 EDT
Description of problem: When Waking from standby either from closing lid or selecting 'Suspend' from menu, I'm unable to connect to ANY secure network (WEP and WPA2-Personal tested). Also occurs on demand by restarting the router/AP. 


Version-Release number of selected component (if applicable): 


How reproducible: Very reproduceable


Steps to Reproduce:
1. Connect to wifi network using ath9k hardware
2. Suspend Computer/Wake Computer or disconnect power from router, dropping connection.
3. Unable to connect until ath9k is stopped and started via rmmod/modprobe.
  
Actual results: Unable to reauthenticate to router/access point. Other networks also seem to be unable to be connected to. Seems like wpa_supplicant or NetworkManager is stuck in a state where the network is no longer connected, but the authentication/session from last connected state isn't being flushed.


Expected results: Should be able to reconnect to same network when re-establishing connection. 


Additional info:

DMESG DUMP (this is after a fresh reboot)


[   53.595314] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
[   55.789234] hda-intel: IRQ timing workaround is activated for card #1.
Suggest a bigger bdl_pos_adj.
[   73.979119] fuse init (API version 7.18)
[   78.801544] lp: driver loaded but no devices found
[   78.924741] ppdev: user-space parallel port driver
[  946.724320] wlan0: moving STA 00:25:9c:48:c3:e0 to state 2
[  946.724329] wlan0: moving STA 00:25:9c:48:c3:e0 to state 1
[  946.724336] wlan0: moving STA 00:25:9c:48:c3:e0 to state 0
[  946.738541] cfg80211: Calling CRDA to update world regulatory domain
[  946.748967] cfg80211: World regulatory domain updated:
[  946.748974] cfg80211:   (start_freq - end_freq @ bandwidth),
(max_antenna_gain, max_eirp)
[  946.748982] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[  946.748988] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi,
2000 mBm)
[  946.748995] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi,
2000 mBm)
[  946.749001] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[  946.749032] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[  946.749065] cfg80211: Calling CRDA for country: US
[  946.757942] cfg80211: Regulatory domain changed to country: US
[  946.757949] cfg80211:   (start_freq - end_freq @ bandwidth),
(max_antenna_gain, max_eirp)
[  946.757957] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi,
2700 mBm)
[  946.757964] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi,
1700 mBm)
[  946.757970] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[  946.757976] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[  946.757982] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[  946.757989] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi,
3000 mBm)
[  966.083591] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[  966.283262] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[  966.483254] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[  966.683257] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[  973.193298] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[  973.393262] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[  973.593278] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[  973.793260] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[  980.300320] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[  980.500307] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[  980.700277] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[  980.900277] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[  996.088257] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 1)
[  996.288254] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 2)
[  996.488170] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 3)
[  996.688222] wlan0: authentication with 02:25:9c:48:c3:e1 timed out
[ 1003.181471] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 1)
[ 1003.381231] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 2)
[ 1003.581302] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 3)
[ 1003.781294] wlan0: authentication with 02:25:9c:48:c3:e1 timed out
[ 1010.283181] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 1)
[ 1010.483198] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 2)
[ 1010.683279] wlan0: authenticate with 02:25:9c:48:c3:e1 (try 3)
[ 1010.883128] wlan0: authentication with 02:25:9c:48:c3:e1 timed out
[ 1017.396723] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[ 1017.596259] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[ 1017.796287] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[ 1017.996193] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[ 1018.408349] libfcoe_device_notification: NETDEV_UNREGISTER lo
[ 1024.494381] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[ 1024.694240] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[ 1024.894099] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[ 1025.094294] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[ 1031.601853] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[ 1031.801260] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[ 1032.001055] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[ 1032.201034] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[ 1035.098387] libfcoe_device_notification: NETDEV_UNREGISTER lo
[ 1040.184153] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[ 1040.384180] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[ 1040.584175] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[ 1040.784297] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[ 1047.302445] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[ 1047.502236] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 2)
[ 1047.702208] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 3)
[ 1047.902230] wlan0: authentication with 00:25:9c:48:c3:e0 timed out
[ 1053.027646] libfcoe_device_notification: NETDEV_UNREGISTER wlan0
***********RESTARTED ATH9K VIA RMMOD/MODPROBE***********************************
[ 1053.039750] ath9k: Driver unloaded
[ 1113.111941] ath9k: version magic '3.3.0-8.fc16.x86_64 SMP mod_unload '
should be '3.3.1-5.fc16.x86_64 SMP mod_unload '
[ 1131.309732] ath: EEPROM regdomain: 0x60
[ 1131.309739] ath: EEPROM indicates we should expect a direct regpair map
[ 1131.309747] ath: Country alpha2 being used: 00
[ 1131.309752] ath: Regpair used: 0x60
[ 1131.313060] ieee80211 phy1: Selected rate control algorithm
'ath9k_rate_control'
[ 1131.313811] Registered led device: ath9k-phy1
[ 1131.313824] ieee80211 phy1: Atheros AR9285 Rev:2 mem=0xffffc90002b20000,
irq=17
[ 1131.359094] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1134.250122] wlan0: authenticate with 00:25:9c:48:c3:e0 (try 1)
[ 1134.252229] wlan0: authenticated
[ 1134.274870] wlan0: associate with 00:25:9c:48:c3:e0 (try 1)
[ 1134.282557] wlan0: RX AssocResp from 00:25:9c:48:c3:e0 (capab=0x411 status=0
aid=4)
[ 1134.282561] wlan0: associated
[ 1134.282565] wlan0: moving STA 00:25:9c:48:c3:e0 to state 1
[ 1134.282567] wlan0: moving STA 00:25:9c:48:c3:e0 to state 2
[ 1134.291264] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 1134.323940] wlan0: moving STA 00:25:9c:48:c3:e0 to state 3
[ 1144.850013] wlan0: no IPv6 routers present


During each three sets of authentication timeouts, I get prompted to re-enter
the key. What I don't understand is that the station moving states.... I didn't
physically move out of range, and the connection is stable for the Win7 machine
two feet from me (my wife on her computer). I was able to rmmod and modprobe
ath9k to get it working again. This particular event happened pretty
out-of-the-blue, however usually I get this error when waking from standby.
This is why the timestamps arent more than 4 integer digits.
Comment 1 Dan Williams 2012-04-19 18:35:57 EDT
I think we need more debug information from the driver and/or mac80211, which we might not be able to get without debug kernels.  But the kernel guys would know more.  At this point, it seems like a kernel driver problem, given that wlan0 is clearly trying to associate with the correct AP but failing, and that an rmmod solves the issue (probably by re-initializing everything).
Comment 2 Britton Dodd 2012-04-19 19:52:47 EDT
Does Fedora provide a debug kernel I could install? I'm willing to try to assist in figuring out what is causing the problem. By trade i'm a Java programmer, however I've done C programming in the past for a point-of-sales system for one of the big 3 pizza companies. I've been using Linux for quite some time now, and I'd love to contribute to help find an issue and possibly fix it.

I know you need more information, can I install a debug kernel and somehow modprobe the driver with gdb or something along those lines?
Comment 3 Josh Boyer 2012-04-20 08:40:39 EDT
Please try the 3.3.2 kernel update.  There is a know ath9k regression in 3.3.1.
Comment 4 Dave Jones 2012-10-23 11:30:53 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Justin M. Forbes 2012-11-14 10:07:16 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.